Debian Bug report logs - #693136
pptpd: Binary trash when launching ppp

version graph

Package: pptpd; Maintainer for pptpd is Christoph Biedl <debian.axhn@manchmal.in-ulm.de>; Source for pptpd is src:pptpd.

Reported by: "tevaum@gmail.com" <tevaum@gmail.com>

Date: Tue, 13 Nov 2012 13:39:01 UTC

Severity: grave

Found in version pptpd/1.3.4-5.1

Fixed in version pptpd/1.3.4-5.2

Done: Maximiliano Curia <maxy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Rene Mayrhofer <rmayr@debian.org>:
Bug#693136; Package pptpd. (Tue, 13 Nov 2012 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "tevaum@gmail.com" <tevaum@gmail.com>:
New Bug report received and forwarded. Copy sent to Rene Mayrhofer <rmayr@debian.org>. (Tue, 13 Nov 2012 13:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "tevaum@gmail.com" <tevaum@gmail.com>
To: bugs@debian.org
Subject: pptpd: Binary trash when launching ppp
Date: Tue, 13 Nov 2012 11:35:33 -0200
[Message part 1 (text/plain, inline)]
Package: pptpd
Version: 1.3.4-5.1
Severity: important

Dear Maintainer,

This is my /etc/pptpd.conf:

option /etc/ppp/pptpd-options
debug
noipparam
logwtmp
localip 192.168.0.4
remoteip 192.168.0.33-34

And this is my /etc/ppp/pptpd-options:

name pptpd
refuse-pap
refuse-chap
refuse-mschap
require-mschap-v2
require-mppe-128
proxyarp
nodefaultroute
debug
lock
nobsdcomp


The problem I'm getting is that pptpd calls pppd with invalid argument.
Take a look at my syslog:

Nov 13 09:27:39 rigel pptpd[7342]: CTRL (PPPD Launcher): remote address =
192.168.0.33
Nov 13 09:27:39 rigel pppd[7342]: unrecognized option
'<FF><FF><FF>#177<FE>...'

The problem is in this session of the pptpctrl.c (line 763)

  if (*pppaddrs[0] || *pppaddrs[1]) {
char pppInterfaceIPs[33];
  sprintf(pppInterfaceIPs, "%s:%s", pppaddrs[0], pppaddrs[1]);
  pppd_argv[an++] = pppInterfaceIPs;
  }

pppInterfaceIPs is declared as a local variable and is not valid outside
the if statement, but it's appended on a global variable, leading to the
problem. the following patch solves the problem:

--- pptpctrl.c 2012-11-13 11:30:52.000000000 -0200
+++ pptpctrl.c.mine 2012-11-13 11:31:19.000000000 -0200
@@ -759,8 +759,8 @@
  syslog(LOG_DEBUG, "CTRL (PPPD Launcher): remote address = %s",
pppaddrs[1]);
  }

+ char pppInterfaceIPs[33];
  if (*pppaddrs[0] || *pppaddrs[1]) {
- char pppInterfaceIPs[33];
  sprintf(pppInterfaceIPs, "%s:%s", pppaddrs[0], pppaddrs[1]);
  pppd_argv[an++] = pppInterfaceIPs;
  }

Thanks in advance!


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1,
'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-rc7-amd64 (SMP w/2 CPU cores)
Locale: LANG=pt_BR.utf8, LC_CTYPE=pt_BR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages pptpd depends on:
ii  bcrelay                1.3.4-5.1
ii  debconf [debconf-2.0]  1.5.46
ii  libc6                  2.13-36
ii  libwrap0               7.6.q-24
ii  netbase                5.0
ii  ppp                    2.4.5-5.1+b1
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Rene Mayrhofer <rmayr@debian.org>:
Bug#693136; Package pptpd. (Wed, 21 Nov 2012 06:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Furey <andrew.furey@gmail.com>:
Extra info received and forwarded to list. Copy sent to Rene Mayrhofer <rmayr@debian.org>. (Wed, 21 Nov 2012 06:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 693136@bugs.debian.org (full text, mbox):

From: Andrew Furey <andrew.furey@gmail.com>
To: 693136@bugs.debian.org
Subject: Re: pptpd: Binary trash when launching ppp
Date: Wed, 21 Nov 2012 14:19:03 +0800
Package: pptpd
Version: 1.3.4-5.1
Followup-For: Bug #693136

I can confirm that the above patch from tevaum fixes my system.
I would suggest changing this to Severity: grave (matching #692129
which has similar correspondence), as the package simply doesn't work
as-is.

Regards,
Andrew

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-2-486
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages pptpd depends on:
ii  bcrelay                1.3.4-5.1
ii  debconf [debconf-2.0]  1.5.46
ii  libc6                  2.13-35
ii  netbase                5.0
ii  ppp                    2.4.5-5.1+b1

-- 
Linux supports the notion of a command line or a shell for the same
reason that only children read books with only pictures in them.
Language, be it English or something else, is the only tool flexible
enough to accomplish a sufficiently broad range of tasks.
                          -- Bill Garrett



Severity set to 'grave' from 'important' Request was from Maximiliano Curia <maxy@debian.org> to control@bugs.debian.org. (Wed, 28 Nov 2012 14:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Rene Mayrhofer <rmayr@debian.org>:
Bug#693136; Package pptpd. (Wed, 28 Nov 2012 16:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maximiliano Curia <maxy@debian.org>:
Extra info received and forwarded to list. Copy sent to Rene Mayrhofer <rmayr@debian.org>. (Wed, 28 Nov 2012 16:03:03 GMT) Full text and rfc822 format available.

Message #17 received at 693136@bugs.debian.org (full text, mbox):

From: Maximiliano Curia <maxy@debian.org>
To: 692129@bugs.debian.org, 693136@bugs.debian.org
Subject: Re: Preliminar patch, test needed
Date: Wed, 28 Nov 2012 16:53:26 +0100
[Message part 1 (text/plain, inline)]
¡Hola René!

I've just uploaded the fixes to the 3 day delayed queue.

Feel free to do your own upload if you prefer.

I'm attaching a debdiff with the changes.

Happy hacking,
-- 
“There are two ways of constructing a software design.  One way is to make it
so simple that there are obviously no deficiencies. And the other way is to
make it so complicated that there are no obvious deficiencies."
-- C.A.R. Hoare
Saludos /\/\ /\ >< `/
[pptpd_1.3.4-5.2.debdiff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Maximiliano Curia <maxy@debian.org>:
You have taken responsibility. (Sat, 01 Dec 2012 16:12:14 GMT) Full text and rfc822 format available.

Notification sent to "tevaum@gmail.com" <tevaum@gmail.com>:
Bug acknowledged by developer. (Sat, 01 Dec 2012 16:12:14 GMT) Full text and rfc822 format available.

Message #22 received at 693136-close@bugs.debian.org (full text, mbox):

From: Maximiliano Curia <maxy@debian.org>
To: 693136-close@bugs.debian.org
Subject: Bug#693136: fixed in pptpd 1.3.4-5.2
Date: Sat, 01 Dec 2012 16:02:47 +0000
Source: pptpd
Source-Version: 1.3.4-5.2

We believe that the bug you reported is fixed in the latest version of
pptpd, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693136@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Maximiliano Curia <maxy@debian.org> (supplier of updated pptpd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 28 Nov 2012 16:21:01 +0100
Source: pptpd
Binary: pptpd bcrelay
Architecture: source amd64
Version: 1.3.4-5.2
Distribution: unstable
Urgency: low
Maintainer: Rene Mayrhofer <rmayr@debian.org>
Changed-By: Maximiliano Curia <maxy@debian.org>
Description: 
 bcrelay    - Broadcast relay daemon
 pptpd      - PoPToP Point to Point Tunneling Server
Closes: 692129 693136
Changes: 
 pptpd (1.3.4-5.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Handle ENOBUFS gracefully.
     Closes: #692129: pptpd: PPTP Connections Drop
   * Programming error, reference to a stack variable used out of scope in
     arguments to execvp call.
     Closes: #693136: pptpd: Binary trash when launching ppp
Checksums-Sha1: 
 5b80424bfaf0d31e239c5ebcd3f92b4bfcb8abdf 1692 pptpd_1.3.4-5.2.dsc
 e3527f5927f1381d4858bf5e487e62a269d14894 13110 pptpd_1.3.4-5.2.diff.gz
 0266c0c243dc71562dc50d00ad5eb79be3fa82c3 99796 pptpd_1.3.4-5.2_amd64.deb
 f697dbc32b8f017b8b6108d5a337fdaf98a8f70d 23632 bcrelay_1.3.4-5.2_amd64.deb
Checksums-Sha256: 
 5ae035b834dd6e1ff9a57f4b1cbfbab8ade5059eb0c4fc039cd83512c6764dc0 1692 pptpd_1.3.4-5.2.dsc
 18aa3117a6963660e8a20ebe741efe5573c7ac929ad43f97a5f5158a1bbc7bbf 13110 pptpd_1.3.4-5.2.diff.gz
 0508c6af1184d34b0a1d8ef2babc76fab615b7fc9f25cb0c261bfa8e4ec45119 99796 pptpd_1.3.4-5.2_amd64.deb
 84e0a0177c7223b0acfc0d6b4c410d48b894b6684a112b527fde9cb38fd182f6 23632 bcrelay_1.3.4-5.2_amd64.deb
Files: 
 1a6abe35a8813bdbf6f0822af9b1af91 1692 net optional pptpd_1.3.4-5.2.dsc
 23844f163ddd1bf4eaa04d3b8a4da7df 13110 net optional pptpd_1.3.4-5.2.diff.gz
 8ef0b9726ec047f5abe08923068f41ea 99796 net optional pptpd_1.3.4-5.2_amd64.deb
 d361b4239ad18efbaa7a1e3b39d76a7d 23632 net optional bcrelay_1.3.4-5.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQtjG0AAoJEMcZdpmymyMqDzIQAIDvLCF/aR+b2pQszWbM6xsz
N03M+wM4d8978/QoH4TMun/CGXXV81sMOd7LdtbP5G54WJslHPotjZMunqFZzSr2
IgOB6YklikhKLjnlUxBsF/khOQBvQtXEzTjEd2KW1D2BfixglUN6qBebIG+IwjAf
Tr/OBfOcNri3NIKmQlxGKSWB3fzPRWLQWtBh+YnkSKLqPPkO9ZXquuf03gyfnATx
mzbzJxbA2LVaXV5eAsvnNbWCaKeiJEHNiXABNnZHAFhzkr8yoGq0rFmV7hwVnpyU
SwrCiiC6VwRFDkde8OPCAGUpBn9Lr075VuhR9fZekHBsXtha0uA9WzBre9Q91QAN
k/Opop04J9qK/CFJyUiT9pUIxJg4OF3pPE0kzWCGB18FZ+m0ZrjK7OUbyy4nMci7
61jdoPKb/O981n1V8lPPyG1fyzttddshIsSJqspWWQsoKNxJ+IlP3RCgmtTGoAZf
qqls/w56NiwmaRT8biojTQBBtAdt8t2MeTZ1HGmhDxTRj4bvJnA6/YIcn5NqWjfU
y1jS7eZKaZ95LPQP0cAmL6h9f/rRKz8DRjBLWaqOxtAg9bCbccq2Twdb3c/3nmRg
DYRgUEHX4jbvHekNR0cuCdEqA4M1xwrfa4RpZMKDyxVg9F/6HQue6VpXn0teIaKK
o7d93fz34kwdYZHvjLNB
=TnQ7
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 09 Jan 2013 07:26:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:04:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.